<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
    <script>
        var nota = prompt("Digite uma nota de 0 a 10:");

        if (nota >= 0 && nota <= 10) {
            console.log(nota);
        } else {
            while (nota < 0 || nota > 10) {
                nota = prompt("Digite uma nota de 0 a 10:");
            }
        }
    </script>
<body>

</body>
</html>